Package org.springframework.security.acls.domain

# Class SidRetrievalStrategyImpl

java.lang.Object
org.springframework.security.acls.domain.SidRetrievalStrategyImpl

All Implemented Interfaces:
  `SidRetrievalStrategy`

public class SidRetrievalStrategyImpl extends Object implements SidRetrievalStrategy
Basic implementation of `SidRetrievalStrategy` that creates a `Sid` for the principal, as well as every granted authority the principal holds. Can optionally have a `RoleHierarchy` injected in order to determine the extended list of authorities that the principal is assigned.

The returned array will always contain the `PrincipalSid` before any `GrantedAuthoritySid` elements.

## Constructor Summary

Constructors
Constructor
Description
`SidRetrievalStrategyImpl()`
`SidRetrievalStrategyImpl(org.springframework.security.access.hierarchicalroles.RoleHierarchy roleHierarchy)`

## Method Summary

Modifier and Type
Method
Description
`List<Sid>`
`getSids(org.springframework.security.core.Authentication authentication)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SidRetrievalStrategyImpl

public SidRetrievalStrategyImpl()

### SidRetrievalStrategyImpl

public SidRetrievalStrategyImpl(org.springframework.security.access.hierarchicalroles.RoleHierarchy roleHierarchy)

## Method Details

### getSids

public List<Sid> getSids(org.springframework.security.core.Authentication authentication)

Specified by:
  `getSids` in interface `SidRetrievalStrategy`